"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.indicatorPart = void 0;
const expressionPart_1 = require("./expressionPart");
class indicatorPart extends expressionPart_1.expressionPart {
    constructor() {
        super(...arguments);
        this._value = "";
    }
    get simpleName() {
        return "Indicator";
    }
    get value() {
        return this._value;
    }
    set value(value) {
        this.value = value;
    }
    resolve(expressionData, /* out */ resolved, running, evaluateAllContexts = true, setValue = undefined) {
        resolved.resolved = true;
        return ("#" + this._value);
    }
}
exports.indicatorPart = indicatorPart;
//# sourceMappingURL=indicatorPart.js.map