"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.switchParameterPart = void 0;
const expressionPart_1 = require("./expressionPart");
class switchParameterPart extends expressionPart_1.expressionPart {
    get simpleName() {
        return "Switch";
    }
    resolve(expressionData, /* out */ resolved, running, evaluateAllContexts = true, setValue = undefined) {
        let result;
        let value = expressionData.contexts.peek();
        result = this.switchData.forValue(expressionData, value, /* out */ resolved);
        return result;
    }
}
exports.switchParameterPart = switchParameterPart;
//# sourceMappingURL=switchParameterPart.js.map