"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unknownAggregateFunctionException = void 0;
const badExpressionException_1 = require("./badExpressionException");
const Utility_1 = require("typescript-dotnet-commonjs/System/Text/Utility");
class unknownAggregateFunctionException extends badExpressionException_1.badExpressionException {
    constructor(functionName) {
        super(Utility_1.format("Unknown function name '{}' in expression", functionName));
    }
}
exports.unknownAggregateFunctionException = unknownAggregateFunctionException;
//# sourceMappingURL=unknownAggregateFunctionException.js.map