"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.namedSelection = void 0;
const dictionaryObject_1 = require("../utils/dictionaryObject");
class namedSelection extends dictionaryObject_1.DictionaryObject {
    //  constructor () {
    //     super();
    // }
    //  constructor (capacity: number){
    //         super(capacity); 
    // }
    constructor(collection) {
        super();
        let count = 0;
        for (let item of collection) {
            if (item instanceof dictionaryObject_1.DictionaryObject) {
                let kvp = (item);
                let key = kvp.getKeys()[0];
                let origKey = kvp.getKeys()[0];
                let keyCounter = 1;
                while (this.containsKey(key)) {
                    key = (origKey + keyCounter);
                    keyCounter++;
                }
                this.setValue(key, kvp.getValues()[0]);
            }
            else {
                this.setValue(count.toString(), item);
            }
            count++;
        }
    }
}
exports.namedSelection = namedSelection;
//# sourceMappingURL=namedSelection.js.map