﻿import { dynamicObject } from "./utils/dynamicObject";
import List from "typescript-dotnet-commonjs/System/Collections/List";
import { outputVariables } from "./utils/outputVariables";

export abstract class makeenBindingContext extends dynamicObject {
     Item(binding: string, value?: Object): Object | undefined {
        let resolved: outputVariables = new outputVariables();
        if (value == undefined) {
            return this.resolveIndexer(binding, resolved, null, false);
        }
        var result = this.resolveIndexer(binding, resolved, value, true);
        return result;
    }

    protected abstract resolveIndexer(key: string, resolved: outputVariables, setValue: Object | null, doSet: boolean): Object | undefined;

    protected abstract getKeys(): List<string> | undefined;
   
     getDynamicMemberNames(): List<string> | undefined {
        return this.getKeys();
    }
}