﻿import { format } from "typescript-dotnet-commonjs/System/Text/Utility";
import { expressionPart } from './expressionPart';
import expressionData from '../../expressionData';
import { groupDataContext } from '../../functions/groupDataContext';
import { outputVariables } from "../../utils/outputVariables";

export class literalPart extends expressionPart {
     constructor() {
        super();
    }
    private _value: any;
     get value(): any {
        return this._value;
    }
     set value(value: any) {
        this._value = value;
    }

     get simpleName(): string {
        return "Item";
    }

     resolve(expressionData: expressionData, /* out */resolved: outputVariables, running: groupDataContext, evaluateAllContexts: boolean = true, setValue: Object | undefined = undefined): Object | undefined {
        resolved.resolved = true;
        return this._value;
    }

     toString(): string {
        if ((typeof this._value == 'string' && this._value.length === 1)) {
            return format("'{0}'", this._value);
        }
        else if ((typeof this._value == 'string')) {
            return format("\"{0}\"", this._value);
        }
        return format("{0}", this._value);
    }
}
