﻿import { expressionPart } from './expressionPart';
import expressionData from '../../expressionData';
import { groupDataContext } from '../../functions/groupDataContext';
import { outputVariables } from '../../utils/outputVariables';


export class selfPart extends expressionPart {

     get simpleName(): string {
        return "Self";
    }

     resolve(expressionData: expressionData, resolved: outputVariables, running: groupDataContext, evaluateAllContexts: boolean = true, setValue: Object | undefined = undefined): Object {
        resolved.resolved = true;
        return expressionData.contexts.peek();
    }
}
