﻿import { expressionPart } from "./expressionPart";
import { switchPartData } from "./switchPartData";
import expressionData from "../../expressionData";
import { groupDataContext } from "../../functions/groupDataContext";
import { outputVariables } from "../../utils/outputVariables";

export class switchParameterPart extends expressionPart {

     get simpleName(): string {
        return "Switch";
    }

    switchData!: switchPartData;

    resolve(expressionData: expressionData, /* out */resolved: outputVariables, running: groupDataContext, evaluateAllContexts: boolean = true, setValue: Object | undefined = undefined): Object | undefined {
        let result: Object | undefined;
        let value: Object = expressionData.contexts.peek();
        result = this.switchData.forValue(expressionData, value, /* out */resolved);
        return result;
    }
}
