﻿import { aggregateFunction } from './../aggregateFunction'
import expressionData from '../../expressionData'
import { expressionPart } from './../../compiler/parts/expressionPart'
import { List } from 'typescript-dotnet-commonjs/System/Collections/List'
import { outputVariables } from '../../utils/outputVariables';

export class count extends aggregateFunction {

     /* internal */ /* override */ invokeIteration(expressionData: expressionData, current: Object, running: Object, parameters: expressionPart[], /* out */resolved: outputVariables): Object {
        let add: number = current != null ? 1 : 0;

        resolved.resolved = true;
        let runningNumber: number = running as number;
        return running != null ? runningNumber + add : add;
    }
}