﻿import { iTypeMapper } from './iTypeMapper';
import { defaultTypeMapper } from './defaultTypeMapper';

export class typeMapperRegistry {

    static currentTypeMapper: any = new defaultTypeMapper();

    static get CurrentTypeMapper(): iTypeMapper {
        return typeMapperRegistry.currentTypeMapper;
    }
    static set CurrentTypeMapper(value: iTypeMapper) {
        typeMapperRegistry.currentTypeMapper = value;
    }

    static registerTypeMapper(typeMapper: iTypeMapper): boolean {
        if ((typeMapper != null)) {
            typeMapperRegistry.currentTypeMapper = typeMapper;
            return true;
        }

        return false;
    }
}