interface IDictionaryObject {
  [key: string]: any;
  getObjects(t: string): object;
}

export class DictionaryObject implements IDictionaryObject {
  [key: string]: any;
  getObjects(t: string): object {
    throw new Error("Method not implemented.");
  }

  getValues(): any[] {
    return Object.values(this);
    // const ValueArray: Object[] = [];
    // for (const thisKey of this.getKeys()) {
    //   ValueArray.push(this[thisKey]);
    // }
    // return ValueArray;
  }

  add(key: string, value: any) {
    this[key] = value;
    return this;
  }

  containsKey(key: string): boolean {
    return this[key] !== undefined;
    // return false;
  }

  getKeys(): string[] {
    return Object.keys(this);
  }

  setValue(key: string, value: any) {
    this[key] = value;
    return this;
  }
  getValue(key: string) {
    return this[key];
  }
}

export const isDictionaryObject = (obj: any): boolean => {
  return obj?.getObjects !== undefined;
};
