"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unknownFunctionException = void 0;
const badExpressionException_1 = require("./badExpressionException");
const Utility_1 = require("typescript-dotnet-commonjs/System/Text/Utility");
class unknownFunctionException extends badExpressionException_1.badExpressionException {
    constructor(functionName) {
        super(Utility_1.format("Unknown function name '{0}' in expression", functionName));
    }
}
exports.unknownFunctionException = unknownFunctionException;
//# sourceMappingURL=unknownFunctionException.js.map