"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.groupConcat = void 0;
const aggregateFunction_1 = require("./../aggregateFunction");
const outputVariables_1 = require("../../utils/outputVariables");
class groupConcat extends aggregateFunction_1.aggregateFunction {
    /* internal */ /* override */ invokeIteration(expressionData, current, running, parameters, /* out */ resolved) {
        let delimit = "";
        let delimiterResolved = new outputVariables_1.outputVariables();
        delimiterResolved.resolved = false;
        if (((parameters != null)
            && (parameters.length > 0))) {
            delimit = String.StringFormat("{0}", parameters[0].resolve(expressionData, /* out */ delimiterResolved, /* running:*/ undefined));
        }
        resolved.resolved = true;
        return running != null ? String.StringFormat("{0}{1}{2}", running.toString(), delimit, current.toString()) : String.StringFormat("{0}", current.toString());
    }
}
exports.groupConcat = groupConcat;
//# sourceMappingURL=groupConcat.js.map