"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.typeMapper = void 0;
const typeMapperRegistry_1 = require("./typeMapperRegistry");
const outputVariables_1 = require("../utils/outputVariables");
class typeMapper {
    static nullToType(tType) {
        return typeMapperRegistry_1.typeMapperRegistry.CurrentTypeMapper.nullToTypeGeneric(tType);
    }
    static nullToAny(targetType) {
        return typeMapperRegistry_1.typeMapperRegistry.CurrentTypeMapper.nullToType(targetType);
    }
    static toType1(item, tType) {
        let outV = new outputVariables_1.outputVariables();
        return item;
        //return typeMapperRegistry.CurrentTypeMapper.toTypeGeneric<T>(item, getType(item), outV);
    }
    static toType2(item, tType, success) {
        return typeMapperRegistry_1.typeMapperRegistry.CurrentTypeMapper.toTypeGeneric(item, tType, success);
    }
    static toType3(item, tType) {
        let outv = new outputVariables_1.outputVariables();
        return typeMapperRegistry_1.typeMapperRegistry.CurrentTypeMapper.toTypeGeneric(item, tType, outv);
    }
    static toType(item, targetType, /* out */ success) {
        if (success != null)
            return typeMapperRegistry_1.typeMapperRegistry.CurrentTypeMapper.toType(item, targetType, /* out */ success);
        else if (targetType != null)
            return typeMapperRegistry_1.typeMapperRegistry.CurrentTypeMapper.toType(item, targetType, new outputVariables_1.outputVariables());
    }
    static toArray(str, tType) {
        return typeMapperRegistry_1.typeMapperRegistry.CurrentTypeMapper.toArray(str, tType);
    }
    static toList(str, tType) {
        return typeMapperRegistry_1.typeMapperRegistry.CurrentTypeMapper.toList(str, tType);
    }
    static toDictionary(str, tType) {
        return typeMapperRegistry_1.typeMapperRegistry.CurrentTypeMapper.toDictionary(str, tType);
    }
}
exports.typeMapper = typeMapper;
//# sourceMappingURL=typeMapper.js.map