"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.typeMapperRegistry = void 0;
const defaultTypeMapper_1 = require("./defaultTypeMapper");
class typeMapperRegistry {
    static get CurrentTypeMapper() {
        return typeMapperRegistry.currentTypeMapper;
    }
    static set CurrentTypeMapper(value) {
        typeMapperRegistry.currentTypeMapper = value;
    }
    static registerTypeMapper(typeMapper) {
        if ((typeMapper != null)) {
            typeMapperRegistry.currentTypeMapper = typeMapper;
            return true;
        }
        return false;
    }
}
exports.typeMapperRegistry = typeMapperRegistry;
typeMapperRegistry.currentTypeMapper = new defaultTypeMapper_1.defaultTypeMapper();
//# sourceMappingURL=typeMapperRegistry.js.map