"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Stack = void 0;
class Stack {
    constructor() {
        this._store = [];
        this._store = [];
    }
    contains(currentContext) {
        return this._store.includes(currentContext);
    }
    count() {
        return this._store.length;
    }
    isEmpty() {
        return this._store.length === 0;
    }
    clear() {
        this._store = [];
    }
    peek() {
        let d = this.clone();
        return d.pop();
    }
    push(val) {
        this._store.push(val);
    }
    pop() {
        return this._store.pop();
    }
    clone() {
        let copiedStack = new Stack();
        this._store.forEach((element) => {
            copiedStack.push(element);
        });
        return copiedStack;
    }
}
exports.Stack = Stack;
//# sourceMappingURL=stack.js.map