﻿import { expressionPart } from './expressionPart';
import expressionData from '../../expressionData';
import { groupDataContext } from '../../functions/groupDataContext';
import IEnumerable from 'typescript-dotnet-commonjs/System/Collections/Enumeration/IEnumerable';
import List from 'typescript-dotnet-commonjs/System/Collections/List';
import { outputVariables } from '../../utils/outputVariables';

export class sortParameterPart extends expressionPart {

     get simpleName(): string {
        return "Sort";
    }

     get subParts(): expressionPart[] {
        let lst: expressionPart[] = [];
        lst.push(this.expression);
        return lst;
    }

     ascending: boolean = true;
     expression!: expressionPart;

    resolve(expressionData: expressionData, /* out */resolved: outputVariables, running: groupDataContext, evaluateAllContexts: boolean = true, setValue: Object | undefined = undefined): Object | undefined {
        return this.expression.resolve(expressionData, /* out */resolved, running, evaluateAllContexts, setValue);
    }
}