export class Stack<TData> {
    constructor () { // THIS NEEDS TO COPIED 
        this._store = []; 
    }
     _store: TData[] = [];
     contains(currentContext: Object): boolean {
        return this._store.includes(currentContext as TData);
    }

     count(): number {
        return this._store.length;
    }

     isEmpty(): boolean {
        return this._store.length === 0;
    }

     clear() {
        this._store = [];
    }

     peek(): TData {
        let d = this.clone();
        return d.pop() as TData;
    }

    push(val: TData) {
        this._store.push(val);
    }

    pop(): TData {
        return this._store.pop() as TData;
    }

    clone(): Stack<TData>
    {
        let copiedStack = new Stack<TData>();
        this._store.forEach((element)=>{
            copiedStack.push(element);
        });
        return copiedStack;
    }
}