import { testContext, Control, getContext } from "../testContext";
import { expressionEngine } from "../../src/expressionEngine";
import { expect } from "chai";
import { getType } from "../../src/utils/reflectionExtender";


describe('  Expression engine - legacy', () => {
    it('Case 1 - pass case - simple case', () => {
        let result: boolean = expressionEngine.evalGeneric<boolean>(undefined, "'\\'' = \"'\"", undefined, undefined, true);
        expect(true).to.equal(result);
    });
    it('Case 2 - pass case - simple case', () => {
        let result: boolean = expressionEngine.evalGeneric<boolean>(undefined, "\"10'\" = '10\\''", undefined, undefined, true);
        expect(true).to.equal(result);
    });

    it('Case 3 - pass case - simple case', () => {
        let context: testContext = getContext();

        let result: boolean = expressionEngine.evalGeneric<boolean>(context, "Controls[txtFees].Text = '10'", undefined, undefined, true);
        expect(true).to.equal(result);
    });

    it('Case 4 - pass case - simple case', () => {
        let context: testContext = getContext();

        let result: boolean = expressionEngine.evalGeneric<boolean>(context, "Controls['txtFees'].IsToggled", undefined, undefined, true);
        expect(true).to.equal(result);
    });

    it('Case 5 - pass case - simple case', () => {
        let context: testContext = getContext();

        let result: boolean = expressionEngine.evalGeneric<boolean>(context, "Controls[txtFees].IsToggled", undefined, undefined, true);
        expect(true).to.equal(result);
    });
});